Yum 특정버전 업데이트만 적용

참고자료 : https://access.redhat.com/solutions/329373

  • yum --releasever 옵션을 이용하여 지정된 마이너 버전에서 업데이트 할 수 있습니다.
  • RHEL5, RHEL4 등의 subscription-manager를 사용할 수없는 버전에서는 지원하지 않습니다.
  • 예를 들어,
    1. RHEL6.3 환경에서 yum update 명령을 실행하면 최신 버전(가장 최신의 6.x버전)으로 업데이트됩니다.
    2. yum --releasever=6.3 update 명령을 실행하면 RHEL6.3 출시 시점에서 RHEL6.4 출시 이전에 출시 된 버전까지 업데이트가 가능합니다.
  • --releasever 옵션을 활성화하려면 subscription-manager 에서 시스템을 등록해야합니다.
# subscription-manager register --auto-attach
# yum --releasever=6.3 update

rhn_register 명령에서 “RHN 클래식”에 등록한 경우 옵션이 비활성화됩니다.

subscription-manager 에 등록해도 옵션이 잘못된 경우 rhnplugin 플러그인 설정을 확인하십시오.

/etc/yum/pluginconf.d/rhnplugin.conf 
[main]
enabled = 0
gpgcheck = 1

# You can specify options per channel, e.g.:
#
#[rhel-i386-server-5]
#enabled = 1
#
#[some-unsigned-custom-channel]
#gpgcheck = 0
로그인하면 댓글을 남길 수 있습니다.
  • yum_특정버전_업데이트만_적용.txt
  • 마지막으로 수정됨: 2016/05/03 22:13
  • 저자 koov